package com.hncy.sjdz.constant.enums;

import com.baomidou.mybatisplus.annotation.EnumValue;
import com.fasterxml.jackson.annotation.JsonValue;
import lombok.Getter;
import lombok.RequiredArgsConstructor;

/**
 * 事件采集方式
 *
 * @author tyangzhou
 */
@Getter
@RequiredArgsConstructor
public enum CollectionModeEnum {

    CITIZEN_COMPLAINT("公众上报", "0"),
	SUPERVISOR_FOUND("监督员上报", "1"),
	INTELISENSE("智能感知", "2"),
	OTHER("其他", "3"),
    LEADER_DISCOVER("领导发现", "4");

    private final String name;

    @EnumValue
    @JsonValue
    private final String value;

    public static String getName(String value) {
        CollectionModeEnum[] enums = CollectionModeEnum.values();

        for (CollectionModeEnum collectionModeEnum : enums) {
            if (collectionModeEnum.getValue().equals(value)) {
                return collectionModeEnum.getName();
            }
        }
        return "";
    }

    public static CollectionModeEnum getInstance(String value) {
        CollectionModeEnum[] arr = values();
        int len$ = arr.length;

        for (int i = 0; i < len$; ++i) {
            CollectionModeEnum status = arr[i];
            if (status.getValue().equals(value)) {
                return status;
            }
        }

        return null;
    }

}
