package com.hncy.sjdz.constant.enums;

import com.baomidou.mybatisplus.annotation.EnumValue;
import com.fasterxml.jackson.annotation.JsonValue;
import lombok.Getter;
import lombok.RequiredArgsConstructor;

import java.util.Objects;

/**
 * 立案条件树类型eEnum
 * <p>
 * CITY("EVENT_COMPONENT", "区")
 * <p>
 * STREET("街道", "街道")
 * <p>
 * COMMUNITY("社区", "社区") TreeTypeEnum
 *
 * @Author: lm
 * @Date: 2023/07/13
 */
@Getter
@RequiredArgsConstructor
public enum RegisterCondTreeTypeEnum {

    /**
     * EVENT_COMPONENT v:"事部件"
     */
    EVENT_COMPONENT("事部件", "事部件"),
    /**
     * INDUSTRY v:"行业"
     */
    INDUSTRY("行业", "行业"),
    /**
     * MAIN_TYPE v:"大类"
     */
    MAIN_TYPE("大类", "大类"),
    /**
     * SUB_TYPE v:"小类"
     */
    SUB_TYPE("小类", "小类"),
    /**
     * THIRD_TYPE v:"细类"
     */
    THIRD_TYPE("细类", "细类"),
    /**
     * REGISTERED_COND v:"立案条件"
     */
    REGISTERED_COND("立案条件", "立案条件"),;

    private final String name;

    @EnumValue
    @JsonValue
    private final String value;

    public static String getName(String value) {
        RegisterCondTreeTypeEnum[] enums = RegisterCondTreeTypeEnum.values();
        for (RegisterCondTreeTypeEnum nowEnum : enums) {
            if (nowEnum.getValue().equals(value)) {
                return nowEnum.getName();
            }
        }
        return "/";
    }

    public static String convertName(RegisterCondTreeTypeEnum enumObj) {
        return Objects.isNull(enumObj) ? "/" : enumObj.getName();
    }

}
