package com.hncy.sjdz.base.controller;

import com.hncy.sjdz.base.models.entity.SjdzMajorProject;
import com.hncy.sjdz.base.service.SjdzMajorProjectService;
import com.hncy4cloud.hncy.common.core.util.R;
import io.swagger.v3.oas.annotations.Operation;
import io.swagger.v3.oas.annotations.Parameter;
import io.swagger.v3.oas.annotations.tags.Tag;
import lombok.extern.slf4j.Slf4j;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.bind.annotation.RestController;

import javax.annotation.Resource;

@Tag(name = "majorProjects", description = "重大项目")
@Slf4j
@RestController
@RequestMapping("/majorProjects")
public class MajorProjectsController {

	@Resource
	private SjdzMajorProjectService sjdzMajorProjectService;

	@Operation(summary = "重大项目列表")
	@PostMapping("/pageList")
	public R pageList(@Parameter(name = "searchText", description = "搜索内容", required = false)
						  @RequestParam(required = false) String searchText) {
		return sjdzMajorProjectService.pageList(searchText);
	}

	@Operation(summary = "今年重大项目统计")
	@PostMapping("/getThisYearMajorProject")
	public R getThisYearMajorProject() {
		return sjdzMajorProjectService.getThisYearMajorProject();
	}


	@Operation(summary = "获取项目详情")
	@PostMapping("/getInfo")
	public R getInfo(@Parameter(name = "projectId", description = "项目id", required = false)
					 @RequestParam(name = "projectId", required = true) String projectId) {
		return R.ok(sjdzMajorProjectService.getProjectInfo(projectId));
	}
}
