package com.hncy.sjdz.base.models.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import java.io.Serializable;
import java.time.LocalDateTime;

/**
 * 网络理政来电信息-基本信息
 *
 * @author zhaoting
 * @date 2024-11-12 12:18:51
 */
@Data
@TableName("call_information")
@Schema(description = "网络理政来电信息-基本信息")
public class CallInformation implements Serializable {

    private static final long serialVersionUID = 1L;

 
	/**
	* id
	*/
    @TableId(type = IdType.ASSIGN_ID)
    @Schema(description="id")
    private Integer id;

	/**
	* 来电（信）类型
	*/
    @Schema(description="来电（信）类型")
    private String callType;

	/**
	* 标题
	*/
    @Schema(description="标题")
    private String title;

	/**
	* 来信人名称
	*/
    @Schema(description="来信人名称")
    private String senderName;

	/**
	* 来源
	*/
    @Schema(description="来源")
    private String source;

	/**
	* 来电内容
	*/
    @Schema(description="来电内容")
    private String callContent;

	/**
	* 办理单位
	*/
    @Schema(description="办理单位")
    private String handlingUnit;

	/**
	* 办理状态
	*/
    @Schema(description="办理状态")
    private String handlingStatus;

	/**
	* 所属区域
	*/
    @Schema(description="所属区域")
    private String area;

	/**
	* 上报时间
	*/
    @Schema(description="上报时间")
    private LocalDateTime reportTime;

	/**
	* 办理时间
	*/
    @Schema(description="办理时间")
    private LocalDateTime processingTime;

	/**
	* 办理结果

	*/
    @Schema(description="办理结果")
    private String processingContent;

}