package com.hncy.sjdz.base.models.entity;

import com.baomidou.mybatisplus.annotation.*;

import java.io.Serializable;
import java.time.LocalDateTime;
import lombok.Data;

/**
 * 部件表
 * @TableName component
 */
@TableName(value ="component")
@Data
public class Component implements Serializable {
    /**
     * ID
     */
    @TableId
    private String id;

    /**
     * 部件标识码（编码）
     */
    private String componentCode;

    /**
     * 部件名称
     */
    private String componentName;

    /**
     * 详细地址
     */
    private String addressDetail;

    /**
     * 市代码
     */
    private String cityCode;

    /**
     * 市名
     */
    private String cityName;

    /**
     * 区代码
     */
    private String districtCode;

    /**
     * 区名
     */
    private String districtName;

    /**
     * 街道代码
     */
    private String streetCode;

    /**
     * 街道名
     */
    private String streetName;

    /**
     * 社区标识
     */
    private String communityCode;

    /**
     * 社区名称
     */
    private String communityName;

    /**
     * 经度
     */
    private String longitude;

    /**
     * 纬度
     */
    private String latitude;

    /**
     * 附属信息
     */
    private String ancillaryInformation;

    /**
     * 所属网格code;多个,分隔
     */
    private String belongGridCode;

    /**
     * 所属行业code
     */
    private String belongIndustryCode;

    /**
     * 大类代码
     */
    private String bigCode;

    /**
     * 大类名称
     */
    private String bigName;

    /**
     * 小类代码
     */
    private String smallCode;

    /**
     * 小类名称
     */
    private String smallName;

    /**
     * 细类代码
     */
    private String minorCode;

    /**
     * 细类名称
     */
    private String minorName;

    /**
     * 删除标志
     */
	@TableLogic
    private String delFlag;

    /**
     * 创建日期
     */
    private LocalDateTime createTime;

    /**
     * 更新日期
     */
    private LocalDateTime updateTime;

    /**
     * 所属行业名
     */
    private byte[] belongIndustryName;

    @TableField(exist = false)
    private static final long serialVersionUID = 1L;
}