package com.hncy.sjdz.base.models.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import java.io.Serializable;
import java.time.LocalDateTime;
import lombok.Data;

/**
 * 处置资源信息表
 * @TableName czzy_resource_info
 */
@TableName(value ="czzy_resource_info")
@Data
public class CzzyResourceInfo implements Serializable {
    /**
     * 
     */
    @TableId
    private String id;

    /**
     * 资源id
     */
    private String resourceId;

    /**
     * 资源类型（0:车辆,1:人员，2：物资，3：装备 4其他）
     */
    private String resourceType;

    /**
     * 资源名称
     */
    private String resourceName;

    /**
     * 根据资源类型的二级分类
     */
    private String resourceSubType;

    /**
     * 资源经度
     */
    private String lon;

    /**
     * 资源纬度
     */
    private String lat;

    /**
     * 资源地址
     */
    private String address;

    /**
     * 在线状态(0:在线，1：离线)
     */
    private String onlineStatus;

    /**
     * 市标识
     */
    private String cityCode;

    /**
     * 市名称
     */
    private String cityName;

    /**
     * 区标识
     */
    private String districtCode;

    /**
     * 区名称
     */
    private String districtName;

    /**
     * 街道标识
     */
    private String streetCode;

    /**
     * 街道名称
     */
    private String streetName;

    /**
     * 社区标识
     */
    private String communityCode;

    /**
     * 社区名称
     */
    private String communityName;

    /**
     * 单元网格标识
     */
    private String cellCode;

    /**
     * 单元网格名称
     */
    private String cellName;

    /**
     * 删除标志
     */
    private String delFlag;

    /**
     * 创建时间
     */
    private LocalDateTime createTime;

    /**
     * 更新时间
     */
    private LocalDateTime updateTime;

    @TableField(exist = false)
    private static final long serialVersionUID = 1L;
}