package com.hncy.sjdz.base.models.entity;

import com.baomidou.mybatisplus.annotation.*;

import java.io.Serializable;
import java.time.LocalDate;
import java.time.LocalDateTime;
import lombok.Data;

/**
 * 数据底座-重大项目信息
 * @TableName sjdz_major_project
 */
@TableName(value ="sjdz_major_project")
@Data
public class SjdzMajorProject implements Serializable {
    /**
     * id
     */
    @TableId
    private String id;

    /**
     * 项目名
     */
    private String projectName;

    /**
     * 单位名
     */
    private String unitName;

    /**
     * 预算金额 万元
     */
    private String budgetAmount;

    /**
     * 计划开工启动时间
     */
    private LocalDate startDate;

    /**
     * 计划竣工启动时间
     */
    private LocalDate endDate;

    /**
     * 项目内容
     */
    private String projectContent;

    /**
     * 第一季度实施计划
     */
    private String phasePlanOne;

    /**
     * 第二季度实施计划
     */
    private String phasePlanTwo;

    /**
     * 第三季度实施计划
     */
    private String phasePlanThird;

    /**
     * 第四季度实施计划
     */
    private String phasePlanFour;

    /**
     * 责任人姓名
     */
    private String projectLeader;

    /**
     * 责任人电话
     */
    private String leaderContact;

    /**
     * 联络人姓名
     */
    private String liaisonName;

    /**
     * 联络人电话
     */
    private String liaisonContact;

    /**
     * 项目状态 1未启动 2进行中 3已完成
     */
    private String projectStatus;

    /**
     * 删除标志 0未删除 1已删除
     */
	@TableLogic
    private String delFlag;

    /**
     * 创建时间
     */
    private LocalDateTime createTime;

    /**
     * 更新时间
     */
    private LocalDateTime updateTime;

    @TableField(exist = false)
    private static final long serialVersionUID = 1L;
}