package com.hncy.sjdz.base.service;

import com.hncy.sjdz.base.models.dto.BaseLabelEntity;
import com.hncy.sjdz.base.models.entity.Component;
import com.baomidou.mybatisplus.extension.service.IService;
import com.hncy.sjdz.base.models.vo.ComponentTypeStatisticsVO;
import com.hncy.sjdz.util.SelectOption;
import com.hncy4cloud.hncy.common.core.util.R;

import java.util.List;

/**
* @author tyz
* @description 针对表【component(部件表)】的数据库操作Service
* @createDate 2024-11-13 10:05:58
*/
public interface ComponentService extends IService<Component> {

	/**
	 * 网格资源
	 * @return
	 */
    R getGridResources();

	/**
	 * 部件类型统计
	 * @return
	 */
	ComponentTypeStatisticsVO getComponentTypeStatistics();

	/**
	 * 部件大小类别统计
	 * @return
	 */
	List<BaseLabelEntity> getComponentClassStatistics();

	/**
	 * 网格内-处置资源数量统计
	 * @return
	 */
	List<BaseLabelEntity> getResourcesCount();
}
