package com.hncy.sjdz.base.service.impl;

import cn.hutool.core.date.LocalDateTimeUtil;
import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.hncy.sjdz.base.models.entity.SjdzIndustryCategoryDay;
import com.hncy.sjdz.base.service.SjdzIndustryCategoryDayService;
import com.hncy.sjdz.base.mapper.SjdzIndustryCategoryDayMapper;
import org.springframework.stereotype.Service;

import java.util.List;

/**
* @author tyz
* @description 针对表【sjdz_industry_category_day(数据底座-行业问题-环卫固废问题每日大类统计)】的数据库操作Service实现
* @createDate 2024-11-12 15:36:51
*/
@Service
public class SjdzIndustryCategoryDayServiceImpl extends ServiceImpl<SjdzIndustryCategoryDayMapper, SjdzIndustryCategoryDay>
    implements SjdzIndustryCategoryDayService{

    @Override
    public List<SjdzIndustryCategoryDay> getIndustryProblemDistribution() {
		LambdaQueryWrapper<SjdzIndustryCategoryDay> lambdaQueryWrapper = new LambdaQueryWrapper<>();
		lambdaQueryWrapper.eq(SjdzIndustryCategoryDay::getNowDay, LocalDateTimeUtil.now().toLocalDate());
		lambdaQueryWrapper.orderByDesc(SjdzIndustryCategoryDay::getEventNum);
		return this.list(lambdaQueryWrapper);
    }
}




