package com.hncy.sjdz.base.util;

import java.io.UnsupportedEncodingException;
import java.net.URLEncoder;
import java.nio.charset.StandardCharsets;
import java.util.Map;

public class UrlUtils {

    public static String mapToUrlParams(Map<String, Object> params) {
        StringBuilder urlParams = new StringBuilder();
        for (Map.Entry<String, Object> entry : params.entrySet()) {
            if (urlParams.length() > 0) {
                urlParams.append("&");
            }
            try {
                urlParams.append(URLEncoder.encode(entry.getKey(), StandardCharsets.UTF_8.toString()))
                         .append("=")
                         .append(URLEncoder.encode(entry.getValue().toString(), StandardCharsets.UTF_8.toString()));
            } catch (UnsupportedEncodingException e) {
                throw new RuntimeException("Encoding failed", e);
            }
        }
        return urlParams.toString();
    }

}
